Can't install/update Joomla_4.0.0-alpha11-dev-Development-Full_Package Topic is solved

Be informed that this forum is not an official support forum for Joomla! 4.0. Any issues regarding Joomla! 4.0 must be reported at https://issues.joomla.org/.

Joomla! 4.0 is still in its Alpha stage. This forum should be used for sharing information about Joomla! 4.0.

Moderator: ooffick

Post Reply
GillianBPP
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 150
Joined: Wed Oct 01, 2014 10:25 am

Can't install/update Joomla_4.0.0-alpha11-dev-Development-Full_Package

Post by GillianBPP » Thu Aug 01, 2019 11:44 am

I have had Joomla 4.0 Alpha 10 installed and working as expected.

I have three times attempted to install/update with the Joomla_4.0.0-alpha11-dev-Development-Full_Package.zip.

The first and third times I ended up with a blank white screen and have had to reinstall Alpha 10 from scratch.
The second time I got as far as 63.5% and then had an pop-up error message:

ERROR:
AJAX Loading Error: Forbidden

And it just stuck at 63.5% for 10 minutes before I gave up.

Any ideas? I'm using the correct PHP version.

User avatar
imanickam
Joomla! Master
Joomla! Master
Posts: 27307
Joined: Wed Aug 13, 2008 2:57 am
Location: Chennai, India

Re: Can't install/update Joomla_4.0.0-alpha11-dev-Development-Full_Package

Post by imanickam » Thu Aug 01, 2019 4:10 pm

Please refer the topic viewtopic.php?f=803&t=972302.

Chacapamac wrote:
Fri Jun 07, 2019 1:37 pm
Re: Update Alpha 8 to 10 error - A string or Joomla\Uri\UriInterface object must be provided, a "NULL" was provided.Post details Quote Chacapamac
by Chacapamac » Fri Jun 07, 2019 7:07 pm

You guys are right Alpha cannot be update only reinstall..
Ilagnayeru (MIG) Manickam | இளஞாயிறு மாணிக்கம்
Joomla! - Global Moderators Team | Translations Coordination Team | Tamil (தமிழ்) Translation Team

Eegan - Support the poor and underprivileged

GillianBPP
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 150
Joined: Wed Oct 01, 2014 10:25 am

Re: Can't install/update Joomla_4.0.0-alpha11-dev-Development-Full_Package

Post by GillianBPP » Thu Aug 01, 2019 5:44 pm

Hm. What I failed to mention in my original post was that I also tried to update via the 'update' package which was a nightly update for the administrator package only on this page: https://developer.joomla.org/nightly-builds.html

Surely, if there's an 'update' package, as well as a full package, then it should be possible to update it the usual way?

On a side note, if I have to install it manually, do I need to delete everything of the previous version from the domain first?

User avatar
imanickam
Joomla! Master
Joomla! Master
Posts: 27307
Joined: Wed Aug 13, 2008 2:57 am
Location: Chennai, India

Re: Can't install/update Joomla_4.0.0-alpha11-dev-Development-Full_Package

Post by imanickam » Sun Aug 04, 2019 4:08 am

You could try updating with Joomla_4.0.0-alpha11-dev-Development-Update_Package.zip. However, I doubt whether it will work. For me it failed. Since, Joomla! 4.0.0 is in the Alpha stage, I believe that these development update package may work only on the alpha11 development full package. I have not tested this.

GillianBPP wrote:
Thu Aug 01, 2019 5:44 pm
On a side note, if I have to install it manually, do I need to delete everything of the previous version from the domain first?
Unfortunately, the answer is Yes. The product being in the Alpha stage there would be a lot of moving parts and hence not recommended to develop a site with it. If there are a lot of article, a viable option would be to store the articles in a text document and reusing them to create articles.
Ilagnayeru (MIG) Manickam | இளஞாயிறு மாணிக்கம்
Joomla! - Global Moderators Team | Translations Coordination Team | Tamil (தமிழ்) Translation Team

Eegan - Support the poor and underprivileged

User avatar
imanickam
Joomla! Master
Joomla! Master
Posts: 27307
Joined: Wed Aug 13, 2008 2:57 am
Location: Chennai, India

Re: Can't install/update Joomla_4.0.0-alpha11-dev-Development-Full_Package

Post by imanickam » Mon Aug 05, 2019 2:22 pm

imanickam wrote:
Sun Aug 04, 2019 4:08 am
believe that these development update package may work only on the alpha11 development full package. I have not tested this.
My belief is correct.

Two days back I created a site by installing/using Joomla_4.0.0-alpha11-dev-Development-Full_Package.zip. Today, I updated the site with Joomla_4.0.0-alpha11-dev-Development-Update_Package.zip using the "Upload & Update" feature. The update was successful.

So, in essence, Joomla! 4.0.0 alpha update package would work only on the site developed using the respective alpha version's development full package.
Ilagnayeru (MIG) Manickam | இளஞாயிறு மாணிக்கம்
Joomla! - Global Moderators Team | Translations Coordination Team | Tamil (தமிழ்) Translation Team

Eegan - Support the poor and underprivileged

GillianBPP
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 150
Joined: Wed Oct 01, 2014 10:25 am

Re: Can't install/update Joomla_4.0.0-alpha11-dev-Development-Full_Package

Post by GillianBPP » Tue Aug 06, 2019 5:52 pm

imanickam wrote:
Mon Aug 05, 2019 2:22 pm

So, in essence, Joomla! 4.0.0 alpha update package would work only on the site developed using the respective alpha version's development full package.
You are quite right. I have just done as you did successfully.


Post Reply

Return to “Joomla! 4 Related”